<?php

namespace KupShop\SynchronizationBundle;

use KupShop\SynchronizationBundle\Synchronization\SynchronizationRegisterInterface;
use Symfony\Component\DependencyInjection\ContainerBuilder;
use Symfony\Component\HttpKernel\Bundle\Bundle;

class SynchronizationBundle extends Bundle
{
    public function build(ContainerBuilder $container)
    {
        $container->registerForAutoconfiguration(SynchronizationRegisterInterface::class)
            ->addTag('kupshop.synchronization.register')
            ->setPublic(false)
            ->setAutowired(true);
    }
}
